<?php

/**
 * @file
 * Theme implementation to show Xbox Gamertag.
 *
 * Available variables:
 * - $userid: The users Xbox user ID.
 * - $url: The complete gamertag URL.
 *
 * @see gamertags_preprocess_gamertags_xbox()
 */
?>
<?php if (variable_get('gamertags_debunk_ms', FALSE)) : ?>
  <img src="<?php print $url ?>" alt="Xbox Gamertag" name="xbox_gamertag" />
<?php else : ?>
  <iframe name="xbox_gamertag" src="<?php print $url ?>" scrolling="no" width="204" height="140" frameborder="0" marginwidth="0" marginheight="0">
    If you can see this, your browser does not support iframes!
  </iframe>
<?php endif; ?>