<?php

/**
 * @file
 * Theme implementation to show Wii Gamertag.
 *
 * Available variables:
 * - $userid: The users Wii user ID.
 * - $url: The complete gamertag URL.
 *
 * @see gamertags_preprocess_gamertags_wii()
 */
?>
<?php if (variable_get('gamertags_use_mapwii', FALSE)) : ?>
  <div id="wii_bg">
    <div id="wii_text">
      <a href="<?php print $url ?>"><?php print $userid ?></a>
    </div>
  </div>
<?php else : ?>
  <div id="wii_bg">
    <div id="wii_text">
      <?php print $userid ?>
    </div>
  </div>
<?php endif; ?>